#
# spec file for package python-dtopt
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-dtopt
Version:        0.1
Release:        lp150.1.3
Summary:        Add options to doctest examples while they are running
License:        MIT
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/dtopt/
Source:         http://pypi.python.org/packages/source/d/dtopt/dtopt-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
When using the doctest module it is often convenient to use the ELLIPSIS option,
which allows you to use ... as a wildcard. But you either have to setup the test
runner to use this option, or you must put #doctest: +ELLIPSIS on every example
that uses this feature.

%prep
%setup -q -n dtopt-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc docs/index.txt docs/license.txt
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Nov 29 2011 saschpe@suse.de
- Minor cleanup
- Run testsuite
* Tue Nov 29 2011 idoenmez@suse.de
- Regenerate with py2pack
* Sun Jul 26 2009 cfarrell1980@gmail.com
- Import to OBS
